/* playlistProxy.h

   Copyright (C) 1999 by David Rose.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   To contact the original author of this program, write to:
           David Rose
           224 W. Dryden St Apt. 418
	   Glendale, CA 91202
	   USA

	   drose@lafn.org
   */

#ifndef PLAYLISTPROXY_H
#define PLAYLISTPROXY_H

#include "playlist.h"
#include "referenceCount.h"

#include <gtk--.h>

class CDReader;

class PlaylistProxy : public ReferenceCountProxy {
public:
  PlaylistProxy(Playlist *ptr = (Playlist *)NULL);
  PlaylistProxy(const PlaylistProxy &copy);
  PlaylistProxy &operator = (const PlaylistProxy &copy);

  string format_value(int r, int c) const;
  Gtk_CList *make_clist();
  Gtk_CList *get_clist() const;
  void update_clist(int row);

  int get_num_rows() const;
  const Playlist::Row *get_row(int row) const;
  void popup_dialog(int row);

  TableID get_primary_table() const;
  void set_owns_dialogs(bool flag);
  void set_next_form_id(int next_form_id);
  void set_cd_reader(CDReader *cd_reader);
  CDReader *get_cd_reader() const;

  TableDataProxy get_table_data(int row);

protected:
  Playlist *get_ptr() const;
};


#endif
